package com.ruoyi.frequency.news.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.controller.req.NewsPageReq;
import com.ruoyi.frequency.news.entity.News;
import com.ruoyi.frequency.news.model.result.NewsCount;
import com.ruoyi.vo.UserVo;
import org.apache.ibatis.annotations.Param;

/**
 * 新闻Mapper接口
 * 
 * @author liwenlong
 * @date 2024-03-19
 */
public interface NewsMapper  extends BaseMapper<News>
{
    /**
     * 查询新闻
     * 
     * @param id 新闻主键
     * @return 新闻
     */
    public News selectNewsById(Long id);

    /**
     * 查询新闻列表
     * 
     * @param news 新闻
     * @return 新闻集合
     */
    public List<News> selectNewsList(News news);

    /**
     * 新增新闻
     * 
     * @param news 新闻
     * @return 结果
     */
    public int insertNews(News news);

    /**
     * 修改新闻
     * 
     * @param news 新闻
     * @return 结果
     */
    public int updateNews(News news);

    Page<News> newsPage(@Param("page") Page<Object> objectPage, @Param("req") NewsPageReq req,@Param("userVo")  UserVo userVo);

    News newsDetail(@Param("id") Long id,@Param("userVo")  UserVo userVo);

    NewsCount statistics(@Param("list") List<Long> newsIdList);
}
